For the complete documentation index, see llms.txt. This page is also available as Markdown.

Groups

List Groups

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
limitinteger · int32OptionalDefault: 100
namestring · nullableOptional

Filter groups by name. Supports wildcard () for partial matches - use * for contains, prefix for starts with, *suffix for ends with

page_tokenstring · nullableOptional
Responses
200

OK

application/json
get/api/admin/v1/groups
200

OK

Create Group

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
namestringRequired

Display name of the group

members_emailsstring[]Required

Email addresses to assign as members of the group

Responses
200

OK

application/json
idstringRequired

Unique identifier of the group

namestringRequired

Display name of the group

source_idstring · nullableOptional

Identifier of the group in the integration system providing the entity

source_integration_idstring · nullableOptional

Unique Apono identifier of the integration providing the entity

source_integration_namestring · nullableOptional

Display name of the integration providing the entity

post/api/admin/v1/groups
200

OK

Get Group

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
200

OK

application/json
idstringRequired

Unique identifier of the group

namestringRequired

Display name of the group

source_idstring · nullableOptional

Identifier of the group in the integration system providing the entity

source_integration_idstring · nullableOptional

Unique Apono identifier of the integration providing the entity

source_integration_namestring · nullableOptional

Display name of the integration providing the entity

get/api/admin/v1/groups/{id}
200

OK

Delete Group

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Responses
204

No Content

No content

delete/api/admin/v1/groups/{id}
204

No Content

No content

Get Group Members

get
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Query parameters
limitinteger · int32OptionalDefault: 100
page_tokenstring · nullableOptional
Responses
200

OK

application/json
get/api/admin/v1/groups/{id}/members
200

OK

Update Group Members

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
members_emailsstring[]Required

Email addresses to assign as members of the group

Responses
204

No Content

No content

put/api/admin/v1/groups/{id}/members
204

No Content

No content

Add Group Member

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
emailstringRequired
idstringRequired
Responses
204

No Content

No content

put/api/admin/v1/groups/{id}/members/{email}
204

No Content

No content

Remove Group Member

delete
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
emailstringRequired
idstringRequired
Responses
204

No Content

No content

delete/api/admin/v1/groups/{id}/members/{email}
204

No Content

No content

Update Group

put
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
idstringRequired
Body
namestringRequired

Display name of the group

Responses
200

OK

application/json
idstringRequired

Unique identifier of the group

namestringRequired

Display name of the group

source_idstring · nullableOptional

Identifier of the group in the integration system providing the entity

source_integration_idstring · nullableOptional

Unique Apono identifier of the integration providing the entity

source_integration_namestring · nullableOptional

Display name of the integration providing the entity

put/api/admin/v1/groups/{id}/name
200

OK

Last updated

Was this helpful?